Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns

Returns the details of the current user.
  curl -X GET https://api.onlydrams.app/api/v1/users/me \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN"
{
	"id": "9ef8c701-1693-4868-ab5b-04a180c675e5",
	"email": "trenton@slbdrinks.com",
	"username": "slb_trenton",
	"avatar_url": "https://storage.googleapis.com/onlydrams/default.jpg",
	"banner_url": null,
	"confirmed": true,
	"collection_count": 0,
	"tier": null,
	"bio": null,
	"name": "",
	"first_name": null,
	"last_name": null,
	"settings": {
		"collection": true,
		"wishlist": true,
		"findable": true
	},
	"card_display_preferences": {
		"fill": true,
		"size": true,
		"batch": true,
		"notes": true,
		"price": true,
		"proof": true,
		"status": true,
		"picked_by": true,
		"purchased_at": true,
		"purchased_on": true,
		"price_percentage": true
	},
	"community": {
		"id": "e1e12dd8-5dbb-449d-a8c0-5f7835ff995e",
		"name": "SLB Drinks",
		"status": "active"
	}
}